<?php
@session_start();
class Main extends MX_Controller{
	public function __construct(){
		parent::__construct();
		$this->load->model('seguridad/xpl_model');
		date_default_timezone_set('America/Lima');
	}

	public function index(){
		if(isset($_SESSION['app.gxc_sesion_id'])&&$_SESSION['app.gxc_sesion_id']>0){
 			header('Location: '.base_url().'main/consola');
 		}else{
 			$titulo 			= 'SISTEMA DE CONSULTORIO MÉDICO';
 			$data['titulo']		= 'INICIAR SESIÓN :. '.$titulo;
 			$datac['titulo']	= $titulo;
 			$data['cabecera']	= $this->load->view('cabecera', $datac, TRUE);
			$data['pie']	= $this->load->view('pie', '', TRUE);
			$this->load->view('inicio', $data, FALSE);
 		}
	}

	public function consola(){
 		if($_SESSION['app.gxc_sesion_id']==0){
 			header('Location: '.base_url());
 		}else{
 			//$this->xcde_model->actualizar_red();
 			$titulo 			= 'SISTEMA DE CONSULTORIO MÉDICO';
 			$data['titulo']		= 'CONSOLA :. '.$titulo;
 			$datac['titulo']	= $titulo;
 			$datam['menu']		= 'consola';
 			$data['cabecera']	= $this->load->view('cabecera', $datac, TRUE);
 			$data['menu']		= $this->load->view('menu', $datam, TRUE);
 			$data['pie']		= $this->load->view('pie', '', TRUE);
			$this->load->view('consola', $data);
 		}
 	}

	public function iniciar_sesion(){
 		$usuario 	= trim($this->input->post('txt_usuario'));
 		$clave 		= md5(trim($this->input->post('txt_clave')));
 		$ds 		= $this->xpl_model->validar_usuario($usuario, $clave);
 		if($ds){
 			$_SESSION['app.gxc_sesion_id']		= $ds->pers_id;
 			$_SESSION['app.gxc_sesion_usuario']	= $ds->pers_usuario;
 			echo 0;
 		}else
 			echo 1;
 	}

 	public function no_conectado(){
 		if(isset($_SESSION['app.gxc_sesion_id'])&&$_SESSION['app.gxc_sesion_id']>0){
 			header('Location: '.base_url().'main/consola');
 		}else{
 			$titulo 			= 'SISTEMA DE CONSULTORIO MÉDICO';
 			$data['titulo']		= 'NO CONECTADOR :. '.$titulo;
 			$datac['titulo']	= $titulo;
 			$data['cabecera']	= $this->load->view('cabecera', $datac, TRUE);
			$data['pie']	= $this->load->view('pie', '', TRUE);
			$this->load->view('no_conectado', $data, FALSE);
 		}
 	}

 	public function salir(){
 		$_SESSION['app.gxc_sesion_id']		= 0;
		$_SESSION['app.gxc_sesion_usuario']	= '';
		header('Location: '.base_url());
 	}
}